function objetoAjax(){
	var xmlhttp=false;
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
		   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
			xmlhttp = false;
  		}
	}

	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function validarEstudiante()
{
	divResultado =document.getElementById('mensajes');
	var dni= $('#user-name').val();
	var password= $('#password').val();

	if(($.trim(dni.length)==8) && ($.trim(password.length)>2))
	{  
		var op=1;
		ajax=objetoAjax();
		ajax.open("POST", "procesos.php",true);

		ajax.onreadystatechange=function()
		 {
			if (ajax.readyState==4)
			   {   
				 if(ajax.responseText==1)
					{	
					  $(location).attr('href','principal.php');				 					    
					}
					if(ajax.responseText==2)
					{	
					  $('#mensajes').fadeIn(1000);
						divResultado.innerHTML="Estudiante/Egresado Desconocido.";				 					    
					}		 
				}
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  ajax.send("opcion="+op+"&dni="+dni+"&password="+password)
	}
	else
	{
		$('#mensajes').fadeIn(1000);
		divResultado.innerHTML="Error: Datos Incorrectos!!!";	
	}	  
}
function cambiarClave()
{
	divResultado =document.getElementById('mensajes');
    var id= $("#Id").val();
	var clave= $("#txt_clave").val();
	if($.trim(clave.length)>2)
	{ 
	var op=2;
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			$("#bt_cambiar").attr("disabled", false);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{
						$(location).attr('href','index.php');
					}
					else
					{
						$('#mensajes').fadeIn(1000);
						divResultado.innerHTML=ajax.responseText;
					    $('#mensajes').fadeOut(2000);	 
					}	
							     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id+"&clave="+clave)
		}
		else
		{
           $('#mensajes').fadeIn(1000);
		   divResultado.innerHTML="Error: la Contraseña debe tener mas de 2 caracteres";
		}

}


function actualizarDatosPersonales()
{
	const year_nac = new Date($("#txt_fecha_nac").val());
    const Id1= $("#IdEst").val();
	const celular= $("#txt_celular").val();
	const email= $("#txt_email").val();
	const fecha_nac =($("#txt_fecha_nac").val());
	const domicilio= $("#txt_domicilio").val();
	const op=3;
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			$('#bt_actualizar_personal').attr("disabled", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
                       //divResultado.innerHTML=ajax.responseText;
					if(ajax.responseText==1)
					{
						$('#bt_actualizar_personal').attr("disabled", false);
						const mensaje="Informaci&#243;n actualizada.";
						notify('top','right','fa fa-check-circle','success','data-animation-in','data-animation-out',mensaje);
						obtenerEdadActual(year_nac.getFullYear());
					}
					if(ajax.responseText==2)
					{
						const mensaje="Error de actualizaci&#243;n de datos.";
						notify('top','right','fa fa-calendar-times-o','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar_personal').attr("disabled", false);
					}
					if(ajax.responseText==3)
					{
                      const mensaje="Error: Edad Incorrecto.";
						notify('top','right','fa fa-calendar-times-o','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar_personal').attr("disabled", false);
					}	
							     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&Id1="+Id1+"&celular="+celular+"&email="+email+"&fecha_nac="+fecha_nac+"&domicilio="+domicilio)				
}



function registrarPostulacion()
{		
    var op=7;
    var id1=$("#txt_id1").val();
    var id2=$("#txt_id2").val();
    $('#bt_postulacion').attr("disabled", true);
    //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
    $('#bt_postulacion').attr( "value", 'loading...');
	ajax=objetoAjax();
	ajax.open("POST", "procesos.php", true);
	ajax.onreadystatechange=function() {		
		if (ajax.readyState==4) 
		{
			if(ajax.responseText==1)
			{ 
				$('#bt_postulacion').attr("disabled", true);
                $('#bt_postulacion').attr( "value", 'Postulaci&#243;n Enviada' );
		        $("#default-Modal").modal();	 			
			}
			if(ajax.responseText==2)
			{
				$('#bt_postulacion').attr("disabled", false);
                $('#bt_postulacion').attr( "value", 'Enviar Postulaci&#243;n' );
                $("#default-Modal2").modal();
			}
			if(ajax.responseText==3)
			{
				$('#bt_postulacion').attr("disabled", true);
                $('#bt_postulacion').attr( "value", 'Enviado' );
                $("#default-Modal3").modal();
			}
				
		}  
	}
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("opcion="+op+"&id1="+id1+"&id2="+id2)						
}

function obtenerEdadActual(Year)
{		
    var op=8;
	ajax=objetoAjax();
	ajax.open("POST", "procesos.php", true);
	ajax.onreadystatechange=function() {		
		if (ajax.readyState==4) 
		{
			$("#txt_edad").val(ajax.responseText);		
		}  
	}
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("opcion="+op+"&y="+Year)						
}

function notify(from, align, icon, type, animIn, animOut,mensaje){
        $.growl({
            icon: icon,
            title: ' ',
            message: mensaje,
            url: ''
        },{
            element: 'body',
            type: type,
            allow_dismiss: true,
            placement: {
                from: from,
                align: align
            },
            offset: {
                x: 30,
                y: 30
            },
            spacing: 10,
            z_index: 999999,
            delay: 2500,
            timer: 1000,
            url_target: '_blank',
            mouse_over: false,
            animate: {
                enter: animIn,
                exit: animOut
            },
            icon_type: 'class',
            template: '<div data-growl="container" class="alert" role="alert">' +
            '<button type="button" class="close" data-growl="dismiss">' +
            '<span aria-hidden="true">&times;</span>' +
            '<span class="sr-only">Close</span>' +
            '</button>' +
            '<span data-growl="icon"></span>' +
            '<span data-growl="title"></span>' +
            '<span data-growl="message"></span>' +
            '<a href="#" data-growl="url"></a>' +
            '</div>'
        });
    }






